org.appng.xml.platform

## Enum FieldType

- java.lang.Object
- - java.lang.Enum<FieldType>
  - - org.appng.xml.platform.FieldType

- All Implemented Interfaces:
    Serializable, Comparable<FieldType>

      public enum FieldType
      extends Enum<FieldType>

  Java class for fieldType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="fieldType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="text"/>
           <enumeration value="longtext"/>
           <enumeration value="richtext"/>
           <enumeration value="password"/>
           <enumeration value="url"/>
           <enumeration value="int"/>
           <enumeration value="long"/>
           <enumeration value="decimal"/>
           <enumeration value="checkbox"/>
           <enumeration value="coordinate"/>
           <enumeration value="date"/>
           <enumeration value="file"/>
           <enumeration value="file-multiple"/>
           <enumeration value="image"/>
           <enumeration value="linkpanel"/>
           <enumeration value="list:checkbox"/>
           <enumeration value="list:radio"/>
           <enumeration value="list:select"/>
           <enumeration value="list:text"/>
           <enumeration value="object"/>
           <enumeration value="list:object"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKBOX` A field containing a `Boolean` or a `boolean`, usually displayed as checkbox.
    `COORDINATE` A property containing a `org.appng.tools.locator.Coordinate`, usually displayed as two input fields together with a map.
    `DATE` A property containing a `Date`, formatted with the format defined in `FieldDef.getFormat()`.
    `DECIMAL` A property containing a `Double` or `Float`, formatted with the format defined in `FieldDef.getFormat()`.
    `FILE` A property containing a `org.appng.forms.FormUpload`, usually displayed as file-upload dialog for a single file.
    `FILE_MULTIPLE` A property containing a collection of `org.appng.forms.FormUpload`s, usually displayed as file-upload dialog for a multiple files.
    `IMAGE` Displays an icon.
    `INT` A property containing a `Integer`, formatted with the format defined in `FieldDef.getFormat()`.
    `LINKPANEL` Defines a reference to a `Linkpanel` using `Linkmode.INTERN`
    `LIST_CHECKBOX` A property containing a collection which is being displayed as a list of checkboxes.
    `LIST_OBJECT` A property containing a collection of objects
    `LIST_RADIO` A property containing a collection which is being displayed as a list of radio-buttons.
    `LIST_SELECT` A property containing a collection which is being displayed as a dropdown list.
    `LIST_TEXT` A property containing a collection of `String`s
    `LONG` A property containing a `Long`, formatted with the format defined in `FieldDef.getFormat()`.
    `LONGTEXT` A property containing a (possibly large) `String`.
    `OBJECT` A property containing an object
    `PASSWORD` A property containing a `String` which represents a password.
    `RICHTEXT` A property containing a (possibly large) `String`, which contains richtext (usually HTML).
    `TEXT` A property containing a `String`.
    `URL` A property containing a `URL`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldType` | `fromValue(String v)`
    `String` | `value()`
    `static FieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final FieldType TEXT

      A property containing a `String`.

    - #### LONGTEXT

          public static final FieldType LONGTEXT

      A property containing a (possibly large) `String`.

    - #### RICHTEXT

          public static final FieldType RICHTEXT

      A property containing a (possibly large) `String`, which contains richtext (usually HTML).

    - #### PASSWORD

          public static final FieldType PASSWORD

      A property containing a `String` which represents a password.

    - #### URL

          public static final FieldType URL

      A property containing a `URL`.

    - #### INT

          public static final FieldType INT

      A property containing a `Integer`, formatted with the format defined in `FieldDef.getFormat()`.

    - #### LONG

          public static final FieldType LONG

      A property containing a `Long`, formatted with the format defined in `FieldDef.getFormat()`.

    - #### DECIMAL

          public static final FieldType DECIMAL

      A property containing a `Double` or `Float`, formatted with the format defined in `FieldDef.getFormat()`.

    - #### CHECKBOX

          public static final FieldType CHECKBOX

      A field containing a `Boolean` or a `boolean`, usually displayed as checkbox.

    - #### COORDINATE

          public static final FieldType COORDINATE

      A property containing a `org.appng.tools.locator.Coordinate`, usually displayed as two input fields together with a map.

    - #### DATE

          public static final FieldType DATE

      A property containing a `Date`, formatted with the format defined in `FieldDef.getFormat()`. Usually displayed together with a calendar.

    - #### FILE

          public static final FieldType FILE

      A property containing a `org.appng.forms.FormUpload`, usually displayed as file-upload dialog for a single file.

    - #### FILE_MULTIPLE

          public static final FieldType FILE_MULTIPLE

      A property containing a collection of `org.appng.forms.FormUpload`s, usually displayed as file-upload dialog for a multiple files.

    - #### IMAGE

          public static final FieldType IMAGE

      Displays an icon.

    - #### LINKPANEL

          public static final FieldType LINKPANEL

      Defines a reference to a `Linkpanel` using `Linkmode.INTERN`

    - #### LIST_CHECKBOX

          public static final FieldType LIST_CHECKBOX

      A property containing a collection which is being displayed as a list of checkboxes.

    - #### LIST_RADIO

          public static final FieldType LIST_RADIO

      A property containing a collection which is being displayed as a list of radio-buttons.

    - #### LIST_SELECT

          public static final FieldType LIST_SELECT

      A property containing a collection which is being displayed as a dropdown list.

    - #### LIST_TEXT

          public static final FieldType LIST_TEXT

      A property containing a collection of `String`s

    - #### OBJECT

          public static final FieldType OBJECT

      A property containing an object

    - #### LIST_OBJECT

          public static final FieldType LIST_OBJECT

      A property containing a collection of objects

  - ### Method Detail

    - #### values

          public static FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType c : FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static FieldType fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.